
QGIS Application - Bug report #9079

Numeric scale error when print

2013-11-18 11:25 AM - Stéphane Prescott

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17724

Description

Hello,

There is an error in the numeric scale in the map composer. For example, if we print with a scale of 1:20 000, the distances on the map

are in reality around 1:15 000.

Thanks for your time.

History

#1 - 2014-02-07 05:28 AM - Giovanni Manghi

- Target version set to Version 2.2

- Status changed from Open to Feedback

- Priority changed from High to Normal

- OS version deleted (2.0.1)

There is no crash or data corruption, so I'm lowering the priority.

Can you please test the latest master and report back? Thanks!

#2 - 2014-02-09 08:55 AM - Markus Mayr

- File wiengranze100000.pdf added

I can reproduce this behaviour. The output seems to have only 2/3 of the scale which is entered in the print composer.

Attached is a pdf of the boundary of Vienna which should be 1:100.000 on a 420x420mm Paper. In reality it is about 1:66.666. I had the same issue with

other objects in other locations with 1:50.000, also with different paper sizes.

System: Linux Mint 16

Qgis version: nightly & 2.1

#3 - 2014-02-16 02:25 PM - Giovanni Manghi

- Assignee set to Nyall Dawson

- Affected QGIS version changed from 2.0.1 to master

Seems also to me that something is wrong...
#4 - 2014-02-16 02:25 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2014-02-16 03:00 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

Sorry - I'm on holidays for a couple of weeks and can't investigate this for 2.2. I'm happy to take a look after that if no one tackles it in the meantime.

#6 - 2014-03-27 04:24 AM - Markus Mayr

- File qgis2.3_example2.pdf added

- Target version changed from Version 2.2 to Version 2.4

I did some more tests. The reason might just be a mix-up of reference systems, since another example concerned with the boundary of upper austria works

fine.

#7 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#8 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

wiengranze100000.pdf 32.2 KB 2014-02-09 Markus Mayr

qgis2.3_example2.pdf 202 KB 2014-03-27 Markus Mayr
